# What is this item?
#
# What does this item do?
#
# Shot Framework - Copyright (c) Jesse Aaron Dunlap <me@jessedunlap.me>
# Licensed under the MIT License. For full licensing information, please
# see LICENSE.md. http://github.com/JesseDunlap/shot/

require 'shot_mvc'

class ViewController < Controller
	def create(view)
		if @app.config['server']['Security']['VisualErrors']
			contents = <<-eos
<br /><br />
<div class="container">
	<div class="row">
		<div class="span12">
			<h1>#{view}</h1>
			<p>This view is simply a placeholder for something amazing! You can edit the view here:</p>
			<pre><code>app/views/#{view}.erb</code></pre>
		</div>
	</div>
</div>
			eos

			File.write "app/views/#{view}.erb", contents

			get('controller', 'Home').index
		end
	end
end