# ElementLoader
#
# Allows the application to query the user's page from the server side in
# an API similiar to jQuery.
#
# Shot Framework - Copyright (c) Jesse Aaron Dunlap <me@jessedunlap.me>
# Licensed under the MIT License. For full licensing information, please
# see LICENSE.md. http://github.com/JesseDunlap/shot/

require 'shot'
require_relative './element'

class ElementLoader < Loader
	def initialize(client)
		super(client)
		@type = 'element'
	end

	def get(selector)
		Element.from_app_and_selector @client, selector
	end
end