# What is this item?
#
# What does this item do?
#
# Shot Framework - Copyright (c) Jesse Aaron Dunlap <me@jessedunlap.me>
# Licensed under the MIT License. For full licensing information, please
# see LICENSE.md. http://github.com/JesseDunlap/shot/

require 'shot'
require 'shot_mvc'

class MVCApplication < Application
	def initialize(config = { :host => '127.0.0.1', :port => 8080 })
		super(config)

		add_router SessionRouter
		add_router ControllerRouter
		add_loader ControllerLoader
		add_loader ElementLoader
		add_loader TemplateLoader
		add_loader ConfigurationLoader
	end
end